
From: jamal <hadi@cyberus.ca>



Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/isdn/i4l/isdn_net.c |    1 +
 25-akpm/drivers/isdn/i4l/isdn_ppp.c |    1 +
 2 files changed, 2 insertions(+)

diff -puN drivers/isdn/i4l/isdn_net.c~log-full-of-ing_filter-fixed-ippp2-out-ippp2 drivers/isdn/i4l/isdn_net.c
--- 25/drivers/isdn/i4l/isdn_net.c~log-full-of-ing_filter-fixed-ippp2-out-ippp2	2005-03-10 22:01:02.000000000 -0800
+++ 25-akpm/drivers/isdn/i4l/isdn_net.c	2005-03-10 22:01:02.000000000 -0800
@@ -1786,6 +1786,7 @@ isdn_net_receive(struct net_device *ndev
 		lp->stats.rx_bytes += skb->len;
 	}
 	skb->dev = ndev;
+	skb->input_dev = ndev;
 	skb->pkt_type = PACKET_HOST;
 	skb->mac.raw = skb->data;
 #ifdef ISDN_DEBUG_NET_DUMP
diff -puN drivers/isdn/i4l/isdn_ppp.c~log-full-of-ing_filter-fixed-ippp2-out-ippp2 drivers/isdn/i4l/isdn_ppp.c
--- 25/drivers/isdn/i4l/isdn_ppp.c~log-full-of-ing_filter-fixed-ippp2-out-ippp2	2005-03-10 22:01:02.000000000 -0800
+++ 25-akpm/drivers/isdn/i4l/isdn_ppp.c	2005-03-10 22:01:02.000000000 -0800
@@ -1177,6 +1177,7 @@ isdn_ppp_push_higher(isdn_net_dev * net_
 		mlp->huptimer = 0;
 #endif /* CONFIG_IPPP_FILTER */
 	skb->dev = dev;
+	skb->input_dev = dev;
 	skb->mac.raw = skb->data;
 	netif_rx(skb);
 	/* net_dev->local->stats.rx_packets++; done in isdn_net.c */
_
